Subject: Re: bug#71927: 29.4; ibuffer-do-isearch and ibuffer-do-isearch-regexp not prompting for input

From: Eshel Yaron <[email-masked]>
Date: Fri, 12 Jul 2024 12:20:01 +0200

close 71927 30.1
quit

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> 
>> Actually, there's another problem with the way ibuffer-do-isearch is
>> currently defined via define-ibuffer-op: the BODY of the definition is a
>> call to multi-isearch-buffers, but the BODY is called for each marked
>> buffer, not once for all of them, so this command currently calls
>> multi-isearch-buffers repeatedly when there are multiple marked buffers.
>> This causes multi-isearch-setup to be called while multi-buffer Isearch
>> is already in progress, which unfortunately breaks regular Isearch for
>> the rest of the session.
>> 
>> To see this effect, invoke ibuffer-do-isearch with two or more marked
>> buffers, quit or finish the search (e.g. type C-g), and then try regular
>> Isearch with C-s and repeat C-s until wrapping around.  But instead of
>> wrapping around as expected, Emacs displays an error:
>> 
>>   Symbol’s function definition is void: nil
>> 
>> A simple solution is to use plain defun for these commands, as follows:
>
> Thanks.  Since there were no objections in a week, and Juri also
> agreed with this solution, please install this on the emacs-30 branch.

Done, in commit d68a4ea3ec6.  I'm therefore closing this bug report.

Best,

Eshel